curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/nft/{address}/{token_id}/price \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/nft/{address}/{token_id}/price"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/nft/{address}/{token_id}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"last_sale": {
"transaction_hash": "<string>",
"block_timestamp": "<string>",
"buyer_address": "<string>",
"seller_address": "<string>",
"price": "<string>",
"price_formatted": "<string>",
"payment_token": {
"token_name": "<string>",
"token_symbol": "<string>",
"token_logo": "<string>",
"token_decimals": "<string>",
"token_address": "<string>"
},
"usd_price_at_sale": "<string>",
"current_usd_value": "<string>",
"token_id": "<string>"
},
"lowest_sale": {
"transaction_hash": "<string>",
"block_timestamp": "<string>",
"price": "<string>",
"price_formatted": "<string>",
"payment_token": {
"token_name": "<string>",
"token_symbol": "<string>",
"token_logo": "<string>",
"token_decimals": "<string>",
"token_address": "<string>"
},
"buyer_address": "<string>",
"seller_address": "<string>",
"usd_price_at_sale": "<string>",
"current_usd_value": "<string>",
"token_id": "<string>"
},
"highest_sale": {
"transaction_hash": "<string>",
"block_timestamp": "<string>",
"price": "<string>",
"price_formatted": "<string>",
"payment_token": {
"token_name": "<string>",
"token_symbol": "<string>",
"token_logo": "<string>",
"token_decimals": "<string>",
"token_address": "<string>"
},
"buyer_address": "<string>",
"seller_address": "<string>",
"usd_price_at_sale": "<string>",
"current_usd_value": "<string>",
"token_id": "<string>"
},
"average_sale": {
"price": "<string>",
"price_formatted": "<string>",
"current_usd_value": "<string>"
},
"total_trades": 123,
"message": "<string>"
}Sale Price by Token ID
Fetch sale prices for a specific NFT over a specified number of days. Returns the last sale, lowest sale, highest sale, average sale and total trades within the specified period.
Authorizations
Path Parameters
The address of the NFT collection
"0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D"
The token id of the NFT collection
"1"
Query Parameters
The chain to query
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f "eth"
The number of days to look back to find the lowest price If not provided 7 days will be the default and 365 is the maximum
x >= 0Response
Returns the sold price details
The sales price of the NFT collection
Show child attributes
Show child attributes
The lowest sale of the NFT collection
Show child attributes
Show child attributes
The highest sale of the NFT collection
Show child attributes
Show child attributes
The average sale of the NFT collection
Show child attributes
Show child attributes
The total trades in the timeframe
The error message (if any)

